# -*- coding: utf-8 -*-

from Components.Converter.Converter import Converter
from Components.Element import cached

class mtxTextUpper(Converter, object):
	def __init__(self, argstr):
		Converter.__init__(self, argstr)

	@cached
	def getText(self):
		txt = self.source.text.upper()
		print "[mtxTextUpper] Text uppercase:", txt
		return txt

	text = property(getText)

	def changed(self, what):
		Converter.changed(self, what)
